# -------------------- #
# PREPARE
# -------------------- #
prepare:docker_consul:init_plugins:
  extends: .cache:packer
  stage: prepare
  script:
    - packer init -only='docker-consul.*' packer/docker-consul
  interruptible: true

# -------------------- #
# HCL VALIDATE
# -------------------- #
hcl_validate:docker_consul:validate_config:
  extends: .cache:packer
  stage: hcl_validate
  needs:
    - job: prepare:docker_consul:init_plugins
      artifacts: true
  script:
    - packer init -only='docker-consul.*' packer/docker-consul
    - packer validate -syntax-only -only='docker-consul.*' packer/docker-consul
  interruptible: true
